""""Input output utilities to work with files"""

from pathlib import Path


def read_notes():
    """Return list of all notes from notes.txt"""
    directory = Path(".")  # Current directory
    with open(directory / "example_files" / "notes.txt", "r", encoding="utf8") as handle:
        # handle.read() to read the whole file at once
        lines = []
        for line in handle:
            lines.append(line.strip("\n"))
    return lines


def save_note(note):
    """Add a note to an existing file with notes"""
    # 'a' mode to append to file, use 'w' to rewrite the file
    with open("example_files/notes.txt", "a", encoding="utf8") as handle:
        handle.write(note + "\n")  # add newline character


if __name__ == "__main__":
    save_note("new note")
    try:
        print(read_notes())
    except FileNotFoundError:
        print("file does not exist")
